View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000537Ecere SDKecerepublic2010-08-08 00:552014-05-19 01:33
ReporterD_Bane 
Assigned Tojerome 
PriorityimmediateSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000537: Window trails when moved..
DescriptionWhen a Child-window is moved and scrolled with it's parents scrollBar the Child window leaves the trails..
Additional InformationIf someone needs some of a solution (that worked for me) I attached a file in which I started to make it ok, it needs a little tweak or two, but it removed the trails..

What is finished and working is "CheckChildrenPos" function..there is all. Other functions are just cause I thought to make a class that will hold the info about the positions of the child windows and functions that would use them..
TagsNo tags attached.
Attached Files? file icon Trails.ec [^] (7,538 bytes) 2010-08-08 00:55

- Relationships
related to 0000708closedjerome gui update bugs (drawing) 

-  Notes
(0000337)
jerome (administrator)
2010-08-17 03:02

Because this problem occurs mostly in the IDE's MDI model (dragging around code editor windows on that big gray background with the logo), and is probably Windows/GDI specific (The use of the ScrollDC function), and the IDE will be changed as soon as possible to a tabbed documents/docking panels layout, this doesn't get any priority.

There are a few update/scrolling bugs in the GUI toolkit, but again that is all subject to revision as well.
(0000359)
jerome (administrator)
2010-08-25 04:25

Tried to work around this issue with a quick patch in Window.ec:ScrollBarNotification.

Added revision 112 to E:\root\sdk\ecere\src\gui\Window.ec

Added an MDI sample in sdk/samples/guiAndGfx as a good use case to test this out.

Would need a proper fix some day at the root of the problem.
(0001140)
jerome (administrator)
2013-10-22 10:43

There is an issue right now (0.44.09-83-g93a8132) when resizing the output view up and down over the project view, some rows in the project tree view ends up partially drawn with the background color.
(0001178)
jerome (administrator)
2014-02-10 19:02

There is an issue which occurred mostly on drawing ListBox rows, whereas the Text does not render for one line. This has been identified to a bug in the GDI driver for the Clip() function.

Additionally, we're currently investigating trailing issues which happen with the Metacity WM (e.g. GNOME Flashback on Ubuntu 13.10).
(0001180)
jerome (administrator)
2014-02-10 23:25

The DataRows issue (and and anything else using Clip()) with the GDI driver has been fixed by:
https://github.com/ecere/ecere-sdk/commit/5ec1fa2b5fa7f1de805d6164077d3fe39622e971 [^]
(0001181)
jerome (administrator)
2014-02-12 23:39

The trailing issue with Metacity has been fixed by:

https://github.com/ecere/ecere-sdk/commit/6a006b3fc3dcbd17122b6a7d4a40106a3c36adc1 [^]

For some reason remaining a mystery, calling Update() from the Expose event handler was causing trailing. Could not manage to reproduce the problem on Windows. The problem went away by simply updating from the back buffer (Only calling UpdateDirty()).
(0001182)
jerome (administrator)
2014-02-12 23:42

Marking this issue as resolved as all noticed/reported issues seem to have been fixed.

Create a new issue with steps to reproduce if a new trailing window scenarios is found. The whole extents updating system should be re-examined as well as part of the next GUI system refactoring.

- Issue History
Date Modified Username Field Change
2010-08-08 00:55 D_Bane New Issue
2010-08-08 00:55 D_Bane File Added: Trails.ec
2010-08-17 03:02 jerome Note Added: 0000337
2010-08-17 03:02 jerome Status new => confirmed
2010-08-25 04:25 jerome Note Added: 0000359
2012-03-08 16:53 redj Target Version => 0.45 Ginkakuji
2013-04-25 09:38 jerome Relationship added related to 0000708
2013-04-25 09:38 jerome Priority normal => immediate
2013-04-25 09:38 jerome Category => ecere
2013-04-25 09:38 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-10-22 10:43 jerome Note Added: 0001140
2014-02-10 19:02 jerome Note Added: 0001178
2014-02-10 19:02 jerome Assigned To => jerome
2014-02-10 19:02 jerome Status confirmed => assigned
2014-02-10 19:02 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-02-10 23:25 jerome Note Added: 0001180
2014-02-12 23:39 jerome Note Added: 0001181
2014-02-12 23:42 jerome Status assigned => resolved
2014-02-12 23:42 jerome Fixed in Version => 0.44.10 64
2014-02-12 23:42 jerome Resolution open => fixed
2014-02-12 23:42 jerome Note Added: 0001182
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker